Loading...
Searching...
No Matches
Internal
L4SHM-based ring buffer implementation
Collaboration diagram for Internal:

## Data Structures

struct | l4shmc_ringbuf_head_t
| Head field of a ring buffer. More...
struct | l4shmc_ringbuf_t
| Ring buffer. More...

## Macros

#define | L4SHMC_RINGBUF_HEAD(ringbuf)
| Get ring buffer head pointer.
#define | L4SHMC_RINGBUF_DATA(ringbuf)
| Get ring buffer data pointer.
#define | L4SHMC_RINGBUF_DATA_SIZE(ringbuf)
| Get size of data area.

## Detailed Description

## Macro Definition Documentation

## L4SHMC_RINGBUF_DATA

#define L4SHMC_RINGBUF_DATA | ( |  | ringbuf | ) |

Value:
(L4SHMC_RINGBUF_HEAD(ringbuf)->data)
L4SHMC_RINGBUF_HEAD
#define L4SHMC_RINGBUF_HEAD(ringbuf)
Get ring buffer head pointer.
Definition ringbuf.h:105

Get ring buffer data pointer.

Parameters

  ringbuf | l4shmc_ringbuf_t struct

Definition at line 114 of file ringbuf.h.

## L4SHMC_RINGBUF_DATA_SIZE

#define L4SHMC_RINGBUF_DATA_SIZE | ( |  | ringbuf | ) |

Value:
((ringbuf)->_size - sizeof(l4shmc_ringbuf_head_t))
l4shmc_ringbuf_head_t
Head field of a ring buffer.
Definition ringbuf.h:60

Get size of data area.

Parameters

  ringbuf | l4shmc_ringbuf_t struct

Definition at line 123 of file ringbuf.h.

## L4SHMC_RINGBUF_HEAD

#define L4SHMC_RINGBUF_HEAD | ( |  | ringbuf | ) |

Value:
((l4shmc_ringbuf_head_t*)((ringbuf)->_addr))

Get ring buffer head pointer.

Parameters

  ringbuf | l4shmc_ringbuf_t struct

Definition at line 105 of file ringbuf.h.